package com.kamco.cd.training.postgres.repository.train;

import com.kamco.cd.training.train.dto.ModelTrainMetricsDto.ResponsePathDto;
import java.util.List;

public interface ModelTrainMetricsJobRepositoryCustom {

  List<ResponsePathDto> getTrainMetricSaveNotYetModelIds();

  ResponsePathDto getTrainMetricSaveNotYetModelId(Long modelId);

  void insertModelMetricsTrain(List<Object[]> batchArgs);

  void updateModelMetricsTrainSaveYn(Long modelId, String stepNo);

  void insertModelMetricsValidation(List<Object[]> batchArgs);

  void updateModelSelectedBestEpoch(Long modelId, Integer epoch);
}
